# Get account

Get an account's public profile, verification status, and activity counts. An unknown handle returns `data: null`.

- Platform: X (Twitter)
- Request: `GET https://api.toolzerhub.com/v1/x/user`
- Auth: `x-api-key` header
- Cost: 1 credit per successful request. Failed requests are not billed.
- Page: https://docs.toolzerhub.com/reference/x-twitter/get-x-user

| Parameter | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `handle` | query | yes | string | Account handle with or without @, or a full x.com or twitter.com profile URL. Handles contain 1–15 letters, digits, or underscores. |

## Example request

```bash
curl "https://api.toolzerhub.com/v1/x/user?handle=<handle>" \
  -H "x-api-key: $TOOLZERHUB_API_KEY"
```

Success responses are wrapped as `{ "data": ... }`. Errors return `{ "error": { "code", "status", "message", "retryable", "details" } }`. See https://docs.toolzerhub.com/docs/responses-and-errors.
